Subject: [TR] Seatbelts

From: "Greg Lemon" <[email-masked]>
Date: Sun, 10 Nov 2013 22:50:53 -0600

I currently have adjustable (non inertia real) three point seat belts on my
TR250.  I don't like them, they slip off me when on, and I have to fish them
out from behind/under the seat and top boot when I want to use them.  I am
thinking the kind with a stalk and inertia reel might be both easier to put on
and keep on, but I don't really want to spring for a set unless there is some
appreciable improvement, any thoughts or experience with seat belt installs in
the TR4-6 cars appreciated.  Have also thought about going with a simple lap
belt, but really like the extra protection of the three point belt.

Any experience and input welcome.

Greg  Lemon
TR250

** [email-masked] **

Archive: http://www.team.net/archive